import com.urbancode.anthill3.AHPTool;
import com.urbancode.anthill3.plugin.wldeploy.WebLogicStatusHelper;

final def ahpTool = new AHPTool();
final def props = ahpTool.getStepProperties();

final def jmxUrl = props['integration/jmxUrl'];
final def user = props['integration/user'];
final def pass = props['integration/password'];
def targets = props['integration/targets'];

targets = targets.split(',');

WebLogicStatusHelper helper = new WebLogicStatusHelper();
helper.initConn(jmxUrl, user, pass);
targets.each { target ->
    System.out.println("Starting Target ${target}");
    helper.startManagedServer(target);
}
helper.closeConn();